Forum Post
Index > Scribe > Linux Test 24 problem

Author/Date Linux Test 24 problem
Mike
13/05/2003 11:31am
Ok, I just tried to run the Test 24 version of Scribe for Linux, but I got:

scribe: error while loading shared libraries: liblgi.so: cannot open shared object file: No such file or directory

Is there anything special I need to do, or any special directory it needs to be run from?

Thanks
Mike
13/05/2003 12:02pm
I even tried this script, but it didn't work:

#!/bin/bash

set LD_LIBRARY_PATH=$PWD
export LD_LIBRARY_PATH

./scribe
Mike
13/05/2003 5:55pm
I can run scribe if I manually set LD_LIBRARY_PATH before running the program.

It takes almost 8 seconds to load all of the fonts before the program is fully loaded and usable.

I get a lot of errors displayed similar to this for fonts that I'm sure I don't have:

Falling back to XLib font: Adventure,9
Error: QFontPrivate::Update() XLoadQueryFont('-*-helvetica-medium-r-*--*-90-*-*-*-*-*') = (nil)

There's one major problem; it segfaults whenever I try to send an email. There was an error once about a sys tray icon or something like that, possibly related to something to do with GTK but I haven't been able to re-produce it. It only happened once.

It still takes 2-5 seconds for a window to appear; say if I open an email or if I open the options menu.

The fonts are still messed up visibly. Also, Scribe won't accept any upper case letters; for example when typing a new email or entering information into the options window.

Thanks
Mike
13/05/2003 5:56pm
Also, when I enter the server address into the text field, the text doesn't scroll when it reaches the end of the field. It seems to accept the text thugh. Copy and paste seems to work.
Mike
13/05/2003 5:58pm
File->Exit doesn't work; the program can only be closed by clicking the "X" in the top right of the window.
fReT
13/05/2003 8:28pm
I'm definately not seeing many of these issues.

Ok, tell me a bit about your system:
- Which kernel?
- Which distro & version?
- Which window manager / desktop?
- Do you have Xft + FontConfig installed (they are requirements)?
- CPU / RAM?
- Which version of X11?

The systray icon error msg is probably Scribe trying to put the icon in the system bar. This is working fine on my machine but I'd expect that some people aren't running a dock applet for icons and therefor get an error message when Scribe starts.

As for the library path thing, either you can move liblgi.so into the library path (or symlink it) or you can add the current directory "." to the library path. Maybe a startup script is in order or an installable package.

The editbox doesn't have scrolling yet, this is a known issue. The File->Exit menu works fine on my Gentoo box at home and RedHat on Cygwin at work.

I've started profiling the application and removed performance bottlenecks. Scribe starts in about 2 seconds for me, running over a 100mbit network to a RedHat box (dual 1.8ghz p4 - 300+mb ram). At home running on a local X11 it's just as quick. I think because it's falling back to native X11 fonts it's running pretty slowly for you. I do accept that when you open a dialog it often takes quick a while to show on screen. I think this is simply because X11 takes a long time to create lots of windows. But that is one area that I havn't been profiling yet, however it's on my hit list.
Mike
13/05/2003 8:51pm
Ok, let me see if I can answer all of that.

It's Mandrake 9.1
Gnome desktop, not sure which window manager
kernel-2.4.21.0.13mdk-1-1mdk
I have anti-aliased fonts, so I presume Xft is installed. FontConfig? Don't know that - ah: libfontconfig1-2.1-9mdk
P3-700, 256Mb
XFree86-server-4.3-5mdk

Anything else?
Mike
13/05/2003 8:57pm
Apparently I may be using the metacity window manager, which I didn't know. I may try and use sawfish instead but there's no guarantees.
fReT
13/05/2003 10:23pm
Ok cool, thats all good. Ie nice and current. Well that means there is some problems in the code, not in your install. But this is par for course when your porting a sizeable application to completely different platform. I'm still fixing minor little issues in the Win32 code base, after 5 years!

Firstly I just saw that problem with the File->Exit menu not working and I know how to reproduce it. Everything is ok if you start Scribe and immediately try and use the File->Exit menu. But if you double right click some list item you can get to menus to come up, and after that it's busted. Probably because one of the menus still has captured the mouse and didn't let it go. This is something I need to fix anyway. But thanks for the report. I looked for it a bit more carefully.

I think the falling back to X11 fonts problem is a matter of getting the Xft calls right. I might even remove all the X11 font code so that people don't perservere with the X11 fonts (which are crap anyway) and get the problem fixed.

I might enable all the font config + loading debug messages and see what falls out. For the recent release I started pulling out the KDE font settings from it's config files, I should probably do the same for Gnome. I suspect that is the problem.

Finally I will add some fixes and debug printf's and make another release in the next day or so.
fReT
13/05/2003 10:44pm
I've fixed the menu problem, at least of my test case.
Mike
13/05/2003 10:49pm
Cool. I'll look out for the next version to test.

Thanks
fReT
16/05/2003 2:23am
I didn't get around to putting in trace printf's but I have fixed a bunch of bugs and released a new test.

Specifically the menu problem should be fixed. (File->Exit)

The delete key is part of the shortcut's feature of LGI and is not implemented in the Linux port yet. (i.e. I know about it)

Also the fonts issue is next on my list, both supporting Gnome's config and getting the metrics right.

There is a list of known problems at the top of the v1.86 release notes on the Scribe webpage.
Mike
16/05/2003 1:11pm
I don't see a new version on the front page:

"[Linux, 1140K, 13/5/2003]"
fReT
16/05/2003 7:25pm
Yeah I put up the InScribe release, and then between building that and doing the i.Scribe release I ran into a nasty hang, which took me many hours to get to the bottom of. So I had to put it off, at least until sometime today when I'll check the build on a current system (the other system was 2 years old and probably just buggy).

Sorry about the confusion... I shouldv'e waited to post the previous msg... :(
Mike
17/05/2003 12:05am
Ah no worries. I'll just keep checkoing the website rather than hassle you about it. :)
fReT
19/05/2003 9:36pm
I've fixed a bunch of issues you reported:
- Fonts being clipped
- Can't type capital letters
- Menus not working
- Some speed optimizations

But I still have a list of unresolved issues in the history that I'd like to fix before releasing.

However much progress is being made, and I thank you for being patient.

Cheers
fReT
21/05/2003 1:54am
Try Test25 which should fix the worst of the issues you were seeing. I hope it works for you as well.
Mike
21/05/2003 12:43pm
Downloading as I type this. Thanks for the great work!
Reply